#! /bin/bash
systemctl --user enable nfs-domain-usersettings.service
status=$(systemctl --user is-active nfs-domain-usersettings.service)
if [ "$status" = "inactive" ]; then
	systemctl --user start nfs-domain-usersettings.service
fi
dbus-send --session --dest=com.nfs.domain.UserSettings --type=method_call /com/nfs/domain/UserSettings  com.nfs.domain.UserSettings.SetUserSettings int32:0