#!/bin/bash  
  
# 搜索脚本  
search_files() {  
    search_dir="$1"  
    file_suffix="$2"  
    handle_type="$3"
    search_string="$4"
    # 使用find和grep搜索文件，并将找到的文件路径传递给process_files函数  
    find "$search_dir" -type f -name "*$file_suffix" -exec grep -l "$search_string" {} + | while read -r file; do  
        process_files "$handle_type" "$file"  
    done  
}  
  
# 处理文件的脚本（这里只是一个模拟）  
process_files() {  
    handle_string="$1"
    file_path="$2"  
    echo "Processing file: $file_path"  
    bash /usr/share/nfs-security/tools/AppBlackList/shell/change_file.sh "$handle_string" "$file_path"
    # 在这里添加处理文件的代码  
}  
  
# 调用搜索脚本  
search_files "/usr/share/applications" ".desktop" "$1" "$2"

